Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstanceOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static final class JBPMMessages.ProcessInstance.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>
implements JBPMMessages.ProcessInstanceOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.Builder` | `addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)`
`JBPMMessages.ProcessInstance.Builder` | `addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)`
`JBPMMessages.ProcessInstance.Builder` | `addAllSwimlaneContext(Iterable<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstance> values)`
`JBPMMessages.ProcessInstance.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addExclusiveGroupBuilder(int index)`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder()`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `addNodeInstanceBuilder(int index)`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance value)`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `addSwimlaneContextBuilder()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `addSwimlaneContextBuilder(int index)`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(int index, JBPMMessages.Variable value)`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `addVariable(JBPMMessages.Variable value)`
`JBPMMessages.Variable.Builder` | `addVariableBuilder()`
`JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)`
`JBPMMessages.ProcessInstance` | `build()`
`JBPMMessages.ProcessInstance` | `buildPartial()`
`JBPMMessages.ProcessInstance.Builder` | `clear()`
`JBPMMessages.ProcessInstance.Builder` | `clearExclusiveGroup()`
`JBPMMessages.ProcessInstance.Builder` | `clearId()`
`JBPMMessages.ProcessInstance.Builder` | `clearNodeInstance()`
`JBPMMessages.ProcessInstance.Builder` | `clearNodeInstanceCounter()`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessId()`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessType()`
`JBPMMessages.ProcessInstance.Builder` | `clearProcessXml()`
`JBPMMessages.ProcessInstance.Builder` | `clearState()`
`JBPMMessages.ProcessInstance.Builder` | `clearSwimlaneContext()`
`JBPMMessages.ProcessInstance.Builder` | `clearVariable()`
`JBPMMessages.ProcessInstance.Builder` | `clone()`
`JBPMMessages.ProcessInstance` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `getExclusiveGroupBuilder(int index)`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>` | `getExclusiveGroupBuilderList()`
`int` | `getExclusiveGroupCount()`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()`
`long` | `getId()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)`
`JBPMMessages.ProcessInstance.NodeInstance.Builder` | `getNodeInstanceBuilder(int index)`
`List<JBPMMessages.ProcessInstance.NodeInstance.Builder>` | `getNodeInstanceBuilderList()`
`int` | `getNodeInstanceCount()`
`long` | `getNodeInstanceCounter()`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()`
`String` | `getProcessId()`
`String` | `getProcessType()`
`String` | `getProcessXml()`
`int` | `getState()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext(int index)`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `getSwimlaneContextBuilder(int index)`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder>` | `getSwimlaneContextBuilderList()`
`int` | `getSwimlaneContextCount()`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()`
`JBPMMessages.Variable` | `getVariable(int index)`
`JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)`
`List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`
`boolean` | `hasId()`
`boolean` | `hasNodeInstanceCounter()`
`boolean` | `hasProcessId()`
`boolean` | `hasProcessType()`
`boolean` | `hasProcessXml()`
`boolean` | `hasState()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(JBPMMessages.ProcessInstance other)`
`JBPMMessages.ProcessInstance.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessInstance.Builder` | `removeExclusiveGroup(int index)`
`JBPMMessages.ProcessInstance.Builder` | `removeNodeInstance(int index)`
`JBPMMessages.ProcessInstance.Builder` | `removeSwimlaneContext(int index)`
`JBPMMessages.ProcessInstance.Builder` | `removeVariable(int index)`
`JBPMMessages.ProcessInstance.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `setExclusiveGroup(int index, JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `setId(long value)`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstance(int index, JBPMMessages.ProcessInstance.NodeInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `setNodeInstanceCounter(long value)`
`JBPMMessages.ProcessInstance.Builder` | `setProcessId(String value)`
`JBPMMessages.ProcessInstance.Builder` | `setProcessType(String value)`
`JBPMMessages.ProcessInstance.Builder` | `setProcessXml(String value)`
`JBPMMessages.ProcessInstance.Builder` | `setState(int value)`
`JBPMMessages.ProcessInstance.Builder` | `setSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `setSwimlaneContext(int index, JBPMMessages.ProcessInstance.SwimlaneContextInstance value)`
`JBPMMessages.ProcessInstance.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)`
`JBPMMessages.ProcessInstance.Builder` | `setVariable(int index, JBPMMessages.Variable value)`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### clear

    public JBPMMessages.ProcessInstance.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### clone

    public JBPMMessages.ProcessInstance.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessInstance build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessInstance buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(JBPMMessages.ProcessInstance other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.Builder>`

### mergeFrom

    public JBPMMessages.ProcessInstance.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.Builder>`
  Throws:
    `IOException`

### hasProcessType

    public boolean hasProcessType()

  Specified by:
    `hasProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessType

    public String getProcessType()

  Specified by:
    `getProcessType` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessType

    public JBPMMessages.ProcessInstance.Builder setProcessType(String value)

### clearProcessType

    public JBPMMessages.ProcessInstance.Builder clearProcessType()

### hasId

    public boolean hasId()

  Specified by:
    `hasId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getId

    public long getId()

  Specified by:
    `getId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setId

    public JBPMMessages.ProcessInstance.Builder setId(long value)

### clearId

    public JBPMMessages.ProcessInstance.Builder clearId()

### hasProcessId

    public boolean hasProcessId()

  Specified by:
    `hasProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessId

    public JBPMMessages.ProcessInstance.Builder setProcessId(String value)

### clearProcessId

    public JBPMMessages.ProcessInstance.Builder clearProcessId()

### hasState

    public boolean hasState()

  Specified by:
    `hasState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getState

    public int getState()

  Specified by:
    `getState` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setState

    public JBPMMessages.ProcessInstance.Builder setState(int value)

### clearState

    public JBPMMessages.ProcessInstance.Builder clearState()

### hasNodeInstanceCounter

    public boolean hasNodeInstanceCounter()

  Specified by:
    `hasNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCounter

    public long getNodeInstanceCounter()

  Specified by:
    `getNodeInstanceCounter` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setNodeInstanceCounter

    public JBPMMessages.ProcessInstance.Builder setNodeInstanceCounter(long value)

### clearNodeInstanceCounter

    public JBPMMessages.ProcessInstance.Builder clearNodeInstanceCounter()

### hasProcessXml

    public boolean hasProcessXml()

  Specified by:
    `hasProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getProcessXml

    public String getProcessXml()

  Specified by:
    `getProcessXml` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setProcessXml

    public JBPMMessages.ProcessInstance.Builder setProcessXml(String value)

### clearProcessXml

    public JBPMMessages.ProcessInstance.Builder clearProcessXml()

### getSwimlaneContextList

    public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

  Specified by:
    `getSwimlaneContextList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextCount

    public int getSwimlaneContextCount()

  Specified by:
    `getSwimlaneContextCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContext

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext(int index)

  Specified by:
    `getSwimlaneContext` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder setSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

### setSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder setSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance value)

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

### addSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addSwimlaneContext(int index,
                                                                   JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder builderForValue)

### addAllSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder addAllSwimlaneContext(Iterable<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstance> values)

### clearSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder clearSwimlaneContext()

### removeSwimlaneContext

    public JBPMMessages.ProcessInstance.Builder removeSwimlaneContext(int index)

### getSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder getSwimlaneContextBuilder(int index)

### getSwimlaneContextOrBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder(int index)

  Specified by:
    `getSwimlaneContextOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getSwimlaneContextOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

  Specified by:
    `getSwimlaneContextOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder addSwimlaneContextBuilder()

### addSwimlaneContextBuilder

    public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder addSwimlaneContextBuilder(int index)

### getSwimlaneContextBuilderList

    public List<JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder> getSwimlaneContextBuilderList()

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setNodeInstance

    public JBPMMessages.ProcessInstance.Builder setNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance value)

### setNodeInstance

    public JBPMMessages.ProcessInstance.Builder setNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance value)

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance value)

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addNodeInstance

    public JBPMMessages.ProcessInstance.Builder addNodeInstance(int index,
                                                                JBPMMessages.ProcessInstance.NodeInstance.Builder builderForValue)

### addAllNodeInstance

    public JBPMMessages.ProcessInstance.Builder addAllNodeInstance(Iterable<? extends JBPMMessages.ProcessInstance.NodeInstance> values)

### clearNodeInstance

    public JBPMMessages.ProcessInstance.Builder clearNodeInstance()

### removeNodeInstance

    public JBPMMessages.ProcessInstance.Builder removeNodeInstance(int index)

### getNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder getNodeInstanceBuilder(int index)

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder()

### addNodeInstanceBuilder

    public JBPMMessages.ProcessInstance.NodeInstance.Builder addNodeInstanceBuilder(int index)

### getNodeInstanceBuilderList

    public List<JBPMMessages.ProcessInstance.NodeInstance.Builder> getNodeInstanceBuilderList()

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  Specified by:
    `getVariableList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableCount

    public int getVariableCount()

  Specified by:
    `getVariableCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  Specified by:
    `getVariable` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setVariable

    public JBPMMessages.ProcessInstance.Builder setVariable(int index,
                                                            JBPMMessages.Variable value)

### setVariable

    public JBPMMessages.ProcessInstance.Builder setVariable(int index,
                                                            JBPMMessages.Variable.Builder builderForValue)

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(JBPMMessages.Variable value)

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(int index,
                                                            JBPMMessages.Variable value)

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

### addVariable

    public JBPMMessages.ProcessInstance.Builder addVariable(int index,
                                                            JBPMMessages.Variable.Builder builderForValue)

### addAllVariable

    public JBPMMessages.ProcessInstance.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

### clearVariable

    public JBPMMessages.ProcessInstance.Builder clearVariable()

### removeVariable

    public JBPMMessages.ProcessInstance.Builder removeVariable(int index)

### getVariableBuilder

    public JBPMMessages.Variable.Builder getVariableBuilder(int index)

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder()

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder(int index)

### getVariableBuilderList

    public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

### getExclusiveGroupList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

  Specified by:
    `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupCount

    public int getExclusiveGroupCount()

  Specified by:
    `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroup

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

  Specified by:
    `getExclusiveGroup` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder setExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### setExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder setExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance value)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addExclusiveGroup(int index,
                                                                  JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder builderForValue)

### addAllExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder addAllExclusiveGroup(Iterable<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstance> values)

### clearExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder clearExclusiveGroup()

### removeExclusiveGroup

    public JBPMMessages.ProcessInstance.Builder removeExclusiveGroup(int index)

### getExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder getExclusiveGroupBuilder(int index)

### getExclusiveGroupOrBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

  Specified by:
    `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### getExclusiveGroupOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

  Specified by:
    `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstanceOrBuilder`

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder()

### addExclusiveGroupBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addExclusiveGroupBuilder(int index)

### getExclusiveGroupBuilderList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder> getExclusiveGroupBuilderList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.